package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Gimofc;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 
 */
@Mapper
public interface GimOfcMapper {

    int selectCountNum(@Param("bic") String bic, @Param("msgTyp") String msgTyp);

    Gimofc queryById(String inr);

    List<Gimofc> queryAllByLimit(@Param("entity") Gimofc gimofc);

    int insert(Gimofc gimofc);

    int update(Gimofc gimofc);

    int delete(String inr);

    int selofc(Gimofc gimofc);

    int selofc2(Gimofc gimofc);
}
